Package com.macrofocus.common.interval

# Class OpenInterval

java.lang.Object
com.macrofocus.common.interval.AbstractMutableInterval
com.macrofocus.common.interval.ClosedInterval
com.macrofocus.common.interval.PropertyClosedInterval
com.macrofocus.common.interval.OpenInterval

All Implemented Interfaces:
  `Interval`, `MutableInterval`

public class OpenInterval extends PropertyClosedInterval
An open interval is an interval that does not include its end points.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OpenInterval(double start, double extent)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `contains(double value)`
  Tests if this interval contains the specified value

  ### Methods inherited from class com.macrofocus.common.interval.PropertyClosedInterval

  `getEnd, getEndProperty, getStart, getStartProperty, setEnd, setExtent, setStart, setValue, toString`

  ### Methods inherited from class com.macrofocus.common.interval.ClosedInterval

  `containsInterval, containsStartEnd, getExtent, isDegenerate, isInverted, overlaps, overlapsInterval`

  ### Methods inherited from class com.macrofocus.common.interval.AbstractMutableInterval

  `addIntervalListener, addWeakIntervalListener, notifyIntervalChanged, removeIntervalListener, removeIntervalListeners`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### OpenInterval

    public OpenInterval(double start, double extent)

- ## Method Details

  - ### contains

    public boolean contains(double value)
    Description copied from interface: `Interval`
    Tests if this interval contains the specified value
    Specified by:
      `contains` in interface `Interval`
    Overrides:
      `contains` in class `ClosedInterval`
    Parameters:
      `value` - the value to test
    Returns:
      true if the interval contains the value, false otherwise